Subject: Re: bug#65027: 30.0.50; [PATCH] Document .elpaignore behavior in the Emacs Lisp manual

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Aug 2023 18:41:55 -0400

>>> Maybe it would make sense to put all the documentation in the Emacs Lisp
>>> manual, and then the GNU ELPA README can be the home for documentation about
>>> how to work with the GNU ELPA repository specifically (mainly as an
>>> administrator).
>> FWIW, that's how it started.  It's just that some of the conventions
>> originally used only in (Non)GNU ELPA have now made their way into
>> `package.el`.
>
> As a general guideline for documentation, I'm thinking that anything
>  a package author puts in their own repository would get documented in the
>  Emacs Lisp manual, whereas anything that goes in the (Non)GNU ELPA
>  repository (e.g. in the elpa-packages file) goes in the ELPA README. That
>  makes intuitive sense to me as a package author at least: then the Emacs
>  Lisp manual would have everything I need to *prepare* my package for
> eventual inclusion in ELPA.

Historically, the difference was between the format of the repository
(which only affected things like Melpa and (Non)GNU ELPA) and the format
of ELPA tarballs (which is what `package.el` dealt with).

`package-vc` makes the repository format relevant to `package.el`.
But there might still be differences between what `package-vc` requires
and what (Non)GNU ELPA requires, beside the data actually maintained in
the (Non)GNU ELPA `elpa-packages`.

        Stefan